#!/usr/bin/mumps
; BuildMeshTree.mps 

   kill ^mesh
   open 1:"mtrees2003.txt,old"
   if '$test write "mtrees2003.txt not found",! halt
   set f=0
   for  do  quit:f
   . use 1
   . read a
   . if '$test set f=1 quit
   . set key=$piece(a,";",1)  ; text description
   . set code=$piece(a,";",2) ; everything else
   . if key=""!(code="") set f=1 quit

   . set f1=0
   . for i=1:1 do  quit:f1
   .. set x(i)=$piece(code,".",i) ; extract code numbers
   .. if x(i)="" set f1=1 quit

   . set i=i-1
   . use 5
   . set z="^mesh("  ; begin building a global reference

;
; build a reference like ^mesh("A01","047","025","600)
; by concatenating quotes, codes, quotes, and commas onto z
;

   . for j=1:1:i-1 set z=z_""""_x(j)_""","
   . set z="set "_z_""""_x(i)_""")="""_key_""""

;
; z now looks like set ^mesh("A01","047")="Abdomen"
; now execute the text
;

   . write z,!
   . xecute z

   close 1
   use 5
   write "done",!
   halt

